<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>DefaultTask (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DefaultTask (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/CircularReferenceException.html" title="class in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/Describable.html" title="interface in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/DefaultTask.html" target="_top">Frames</a></li>
<li><a href="DefaultTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_org.gradle.api.internal.AbstractTask">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api</div>
<h2 title="Class DefaultTask" class="title">Class DefaultTask</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li>org.gradle.api.DefaultTask</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html" title="class in org.gradle.nativeplatform.tasks">AbstractLinkTask</a>, <a href="../../../org/gradle/language/nativeplatform/tasks/AbstractNativeCompileTask.html" title="class in org.gradle.language.nativeplatform.tasks">AbstractNativeCompileTask</a>, <a href="../../../org/gradle/api/publish/maven/tasks/AbstractPublishToMaven.html" title="class in org.gradle.api.publish.maven.tasks">AbstractPublishToMaven</a>, <a href="../../../org/gradle/jvm/tasks/api/ApiJar.html" title="class in org.gradle.jvm.tasks.api">ApiJar</a>, <a href="../../../org/gradle/language/assembler/tasks/Assemble.html" title="class in org.gradle.language.assembler.tasks">Assemble</a>, <a href="../../../org/gradle/plugins/javascript/envjs/browser/BrowserEvaluate.html" title="class in org.gradle.plugins.javascript.envjs.browser">BrowserEvaluate</a>, <a href="../../../org/gradle/api/tasks/diagnostics/BuildEnvironmentReportTask.html" title="class in org.gradle.api.tasks.diagnostics">BuildEnvironmentReportTask</a>, <a href="../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html" title="class in org.gradle.api.plugins.buildcomparison.gradle">CompareGradleBuilds</a>, <a href="../../../org/gradle/api/reporting/components/ComponentReport.html" title="class in org.gradle.api.reporting.components">ComponentReport</a>, org.gradle.api.internal.ConventionTask, <a href="../../../org/gradle/nativeplatform/tasks/CreateStaticLibrary.html" title="class in org.gradle.nativeplatform.tasks">CreateStaticLibrary</a>, <a href="../../../org/gradle/nativeplatform/test/xctest/tasks/CreateXcTestBundle.html" title="class in org.gradle.nativeplatform.test.xctest.tasks">CreateXcTestBundle</a>, <a href="../../../org/gradle/api/tasks/diagnostics/DependencyInsightReportTask.html" title="class in org.gradle.api.tasks.diagnostics">DependencyInsightReportTask</a>, <a href="../../../org/gradle/api/reporting/dependents/DependentComponentsReport.html" title="class in org.gradle.api.reporting.dependents">DependentComponentsReport</a>, <a href="../../../org/gradle/api/reporting/GenerateBuildDashboard.html" title="class in org.gradle.api.reporting">GenerateBuildDashboard</a>, <a href="../../../org/gradle/nativeplatform/test/cunit/tasks/GenerateCUnitLauncher.html" title="class in org.gradle.nativeplatform.test.cunit.tasks">GenerateCUnitLauncher</a>, <a href="../../../org/gradle/api/publish/ivy/tasks/GenerateIvyDescriptor.html" title="class in org.gradle.api.publish.ivy.tasks">GenerateIvyDescriptor</a>, <a href="../../../org/gradle/api/publish/maven/tasks/GenerateMavenPom.html" title="class in org.gradle.api.publish.maven.tasks">GenerateMavenPom</a>, <a href="../../../org/gradle/buildinit/tasks/InitBuild.html" title="class in org.gradle.buildinit.tasks">InitBuild</a>, <a href="../../../org/gradle/nativeplatform/tasks/InstallExecutable.html" title="class in org.gradle.nativeplatform.tasks">InstallExecutable</a>, <a href="../../../org/gradle/testing/jacoco/tasks/JacocoBase.html" title="class in org.gradle.testing.jacoco.tasks">JacocoBase</a>, <a href="../../../org/gradle/api/plugins/quality/JDepend.html" title="class in org.gradle.api.plugins.quality">JDepend</a>, <a href="../../../org/gradle/api/reporting/model/ModelReport.html" title="class in org.gradle.api.reporting.model">ModelReport</a>, <a href="../../../org/gradle/plugin/devel/tasks/PluginUnderTestMetadata.html" title="class in org.gradle.plugin.devel.tasks">PluginUnderTestMetadata</a>, <a href="../../../org/gradle/nativeplatform/tasks/PrefixHeaderFileGenerateTask.html" title="class in org.gradle.nativeplatform.tasks">PrefixHeaderFileGenerateTask</a>, <a href="../../../org/gradle/api/publish/ivy/tasks/PublishToIvyRepository.html" title="class in org.gradle.api.publish.ivy.tasks">PublishToIvyRepository</a>, <a href="../../../org/gradle/plugins/signing/Sign.html" title="class in org.gradle.plugins.signing">Sign</a>, <a href="../../../org/gradle/api/tasks/testing/TestReport.html" title="class in org.gradle.api.tasks.testing">TestReport</a>, <a href="../../../org/gradle/language/rc/tasks/WindowsResourceCompile.html" title="class in org.gradle.language.rc.tasks">WindowsResourceCompile</a>, <a href="../../../org/gradle/api/tasks/wrapper/Wrapper.html" title="class in org.gradle.api.tasks.wrapper">Wrapper</a>, <a href="../../../org/gradle/api/tasks/WriteProperties.html" title="class in org.gradle.api.tasks">WriteProperties</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">DefaultTask</span>
extends org.gradle.api.internal.AbstractTask</pre>
<div class="block"><code>DefaultTask</code> is the standard <a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api"><code>Task</code></a> implementation. You can extend this to implement your own task types.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/DefaultTask.html#DefaultTask()">DefaultTask</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DefaultTask()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DefaultTask</h4>
<pre>public&nbsp;DefaultTask()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/CircularReferenceException.html" title="class in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/Describable.html" title="interface in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/DefaultTask.html" target="_top">Frames</a></li>
<li><a href="DefaultTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_org.gradle.api.internal.AbstractTask">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
